Bug 121746 - CRASH closing LibreOffice with confirmation dialog open
Summary: CRASH closing LibreOffice with confirmation dialog open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-27 21:39 UTC by Xisco Faulí
Modified: 2018-12-12 12:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["vcl::Window::DecModalCount()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-11-27 21:39:14 UTC
Steps to reproduce:
1. Open LibreOffice
2. Go to tools - Extension Manager
3. click on any extension - Remove
4. Once the confirmation dialog is prompted, close LibreOffice
5. Close the confirmation dialog

-> Crash

Reproduced in

Version: 6.2.0.0.beta1+
Build ID: a63cd8bbe7cf881daa8dc7a7f32f3e5ac384e902
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-11-27 21:41:23 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=71df42a8d5ec20646045ffb419b89b19fbdf4c02

author	Caolán McNamara <caolanm@redhat.com>	2018-04-18 09:52:02 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-18 12:33:14 +0200
commit	71df42a8d5ec20646045ffb419b89b19fbdf4c02 (patch)
tree	98ca0bc0b6632907e7428cc741a45de3580e3963
parent	f08511e913de2f3a5096d3181f8d70dc6b3d2eb3 (diff)
Related: tdf#117068 inform salframe that there's a modal dialog running

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-11-28 10:19:58 UTC
hmm, in earlier versions I think it actually doesn't exit at all, just waits forever without a visible ui
Comment 3 Commit Notification 2018-11-28 12:25:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/01de2fbdedc693dc46c6d3fde276820a52b42a9c%5E%21

Resolves: tdf#121746 block toplevels from closing...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-11-28 12:31:07 UTC
the extension manager itself is modeless, so its sub-message dialogs block it, but not any other toplevels, and the other toplevels can be closed. The extension manager will veto this if "its busy", so make it report that its busy when these dialogs are open.

backports to 6-2 and 6-1 in gerrit. Note there is also the unopkg standalone program which has this dialog as its toplevel, viewable with unopkg gui
Comment 5 Commit Notification 2018-11-28 14:11:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f2a39e1d9184b7cda32b713b699d19ac3d023849%5E%21

Resolves: tdf#121746 block toplevels from closing...

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-11-29 15:45:49 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 00df4a5ae395607eab1f83aacfc1fb05eb93ecc9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 7 Commit Notification 2018-11-29 15:47:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/d559d7085f8c160c9946ef3eb49250aa12358968%5E%21

Resolves: tdf#121746 block toplevels from closing...

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-12 12:55:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-4":

https://git.libreoffice.org/core/+/60e287339e563dce39574a3d66ea7218db0935e3%5E%21

Resolves: tdf#121746 block toplevels from closing...

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.